require "cadbury/environment"
require "cadbury/request"
require "thor"

module Cadbury
  class CLI < Thor
    shared_options = [:env, { type: :string, required: true }]

    desc "env [command]", "CRUD operations for environment"
    method_option(*shared_options)
    subcommand "env", Cadbury::Env

    desc "request [command]", "CRUD operations for request"
    method_option(*shared_options)
    subcommand "request", Cadbury::Request
  end
end
